import type { PropType } from "vue";
import type { FormSchema, SetFormValue } from "../types";
import type { FormActionType } from "../types/formAction";
export declare const FormItem: import("vue").DefineComponent<{
    schema: {
        type: PropType<FormSchema<string, unknown, Record<string, any>>>;
        required: true;
    };
    setFormModel: {
        type: PropType<SetFormValue>;
        required: true;
    };
    formModel: {
        type: PropType<Record<string, any>>;
        required: true;
    };
    formValues: {
        type: PropType<Record<string, any>>;
        required: true;
    };
    formActionType: {
        type: PropType<FormActionType>;
        required: true;
    };
    colon: {
        type: PropType<string>;
        default: any;
    };
    modelValueName: {
        type: PropType<string>;
        default: any;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    schema: {
        type: PropType<FormSchema<string, unknown, Record<string, any>>>;
        required: true;
    };
    setFormModel: {
        type: PropType<SetFormValue>;
        required: true;
    };
    formModel: {
        type: PropType<Record<string, any>>;
        required: true;
    };
    formValues: {
        type: PropType<Record<string, any>>;
        required: true;
    };
    formActionType: {
        type: PropType<FormActionType>;
        required: true;
    };
    colon: {
        type: PropType<string>;
        default: any;
    };
    modelValueName: {
        type: PropType<string>;
        default: any;
    };
}>>, {
    colon: string;
    modelValueName: string;
}, {}>;
